Skip to content

Delete a meeting

client.Meeting.Delete(ctx, id, body) (*MeetingDeleteResponse, error)
DELETE/v1/meetings/{id}

Moves a meeting to the trash. The meeting is soft-deleted and may be restored from the Lightfield UI. Only callers who can edit the meeting (meeting participants or workspace admins) may delete it. Calling delete on a meeting that is already trashed returns a 404.

Required scope: meetings:delete

Rate limit category: Write

ParametersExpand Collapse
id string

Unique identifier of the meeting to delete.

body MeetingDeleteParams
Body param.Field[MeetingDeleteParamsBody]Optional
ReturnsExpand Collapse
type MeetingDeleteResponse struct{…}
ID string

Unique identifier for the entity.

AccessLevel MeetingDeleteResponseAccessLevel

The caller’s resolved access level for this meeting.

One of the following:
const MeetingDeleteResponseAccessLevelFull MeetingDeleteResponseAccessLevel = "FULL"
const MeetingDeleteResponseAccessLevelMetadata MeetingDeleteResponseAccessLevel = "METADATA"
CreatedAt string

ISO 8601 timestamp of when the entity was created.

Fields map[string, MeetingDeleteResponseField]

Map of field names to their typed values. System fields are prefixed with $ (e.g. $name, $email); custom attributes use their bare slug.

Value MeetingDeleteResponseFieldValueUnion

The field value, or null if unset.

One of the following:
string
float64
bool
type MeetingDeleteResponseFieldValueArray []string
type MeetingDeleteResponseFieldValueAddress struct{…}
City stringOptional

City name.

Country stringOptional

2-letter ISO 3166-1 alpha-2 country code.

Latitude float64Optional

Latitude coordinate.

Longitude float64Optional

Longitude coordinate.

PostalCode stringOptional

Postal or ZIP code.

State stringOptional

State or province.

Street stringOptional

Street address line 1.

Street2 stringOptional

Street address line 2.

type MeetingDeleteResponseFieldValueFullName struct{…}
FirstName stringOptional

The contact’s first name.

LastName stringOptional

The contact’s last name.

ValueType string

The data type of the field.

One of the following:
const MeetingDeleteResponseFieldValueTypeAddress MeetingDeleteResponseFieldValueType = "ADDRESS"
const MeetingDeleteResponseFieldValueTypeCheckbox MeetingDeleteResponseFieldValueType = "CHECKBOX"
const MeetingDeleteResponseFieldValueTypeCurrency MeetingDeleteResponseFieldValueType = "CURRENCY"
const MeetingDeleteResponseFieldValueTypeDatetime MeetingDeleteResponseFieldValueType = "DATETIME"
const MeetingDeleteResponseFieldValueTypeEmail MeetingDeleteResponseFieldValueType = "EMAIL"
const MeetingDeleteResponseFieldValueTypeFullName MeetingDeleteResponseFieldValueType = "FULL_NAME"
const MeetingDeleteResponseFieldValueTypeMarkdown MeetingDeleteResponseFieldValueType = "MARKDOWN"
const MeetingDeleteResponseFieldValueTypeMultiSelect MeetingDeleteResponseFieldValueType = "MULTI_SELECT"
const MeetingDeleteResponseFieldValueTypeNumber MeetingDeleteResponseFieldValueType = "NUMBER"
const MeetingDeleteResponseFieldValueTypeSingleSelect MeetingDeleteResponseFieldValueType = "SINGLE_SELECT"
const MeetingDeleteResponseFieldValueTypeSocialHandle MeetingDeleteResponseFieldValueType = "SOCIAL_HANDLE"
const MeetingDeleteResponseFieldValueTypeTelephone MeetingDeleteResponseFieldValueType = "TELEPHONE"
const MeetingDeleteResponseFieldValueTypeText MeetingDeleteResponseFieldValueType = "TEXT"
const MeetingDeleteResponseFieldValueTypeURL MeetingDeleteResponseFieldValueType = "URL"
const MeetingDeleteResponseFieldValueTypeHTML MeetingDeleteResponseFieldValueType = "HTML"
ObjectType MeetingDeleteResponseObjectType

Always meeting.

Relationships map[string, MeetingDeleteResponseRelationship]

Map of relationship names to their associated entities. System relationships are prefixed with $ (e.g. $owner, $contact).

Cardinality string

Whether the relationship is has_one or has_many.

ObjectType string

The type of the related object (e.g. account, contact).

Values []string

IDs of the related entities.

UpdatedAt string

ISO 8601 timestamp of when the entity was last updated, or null.

ExternalID stringOptional

External identifier for the entity, or null if unset.

Delete a meeting

package main

import (
  "context"
  "fmt"

  "github.com/Lightfld/lightfield-go"
  "github.com/Lightfld/lightfield-go/option"
)

func main() {
  client := githubcomlightfldlightfieldgo.NewClient(
    option.WithAPIKey("My API Key"),
  )
  meetingDeleteResponse, err := client.Meeting.Delete(
    context.TODO(),
    "id",
    githubcomlightfldlightfieldgo.MeetingDeleteParams{

    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", meetingDeleteResponse.ID)
}
{
  "id": "id",
  "accessLevel": "FULL",
  "createdAt": "createdAt",
  "fields": {
    "foo": {
      "value": "string",
      "valueType": "ADDRESS"
    }
  },
  "httpLink": "httpLink",
  "objectType": "meeting",
  "relationships": {
    "foo": {
      "cardinality": "cardinality",
      "objectType": "objectType",
      "values": [
        "string"
      ]
    }
  },
  "updatedAt": "updatedAt",
  "externalId": "externalId"
}
Returns Examples
{
  "id": "id",
  "accessLevel": "FULL",
  "createdAt": "createdAt",
  "fields": {
    "foo": {
      "value": "string",
      "valueType": "ADDRESS"
    }
  },
  "httpLink": "httpLink",
  "objectType": "meeting",
  "relationships": {
    "foo": {
      "cardinality": "cardinality",
      "objectType": "objectType",
      "values": [
        "string"
      ]
    }
  },
  "updatedAt": "updatedAt",
  "externalId": "externalId"
}